[Résolu] Page blanche lorsque je veux ajouter un article ou une page (Créer un compte)

  • WordPress :5.4
  • Statut : résolu
4 sujets de 1 à 4 (sur un total de 4)
  • Auteur
    Messages
  • #2338685
    Millia75
    Participant
    Initié WordPress
    29 contributions

    Bonjour,

    Ma configuration WP actuelle :

    – Version de WordPress : 5.4
    – Version de PHP/MySQL : 7.3.6 / 5.7.23
    – Thème utilisé : Femme Child
    – Thème URI : http://femme.ancorathemes.com/
    – Extensions en place : Akismet Anti-Spam (4.1.4), Contact Form 7 (5.1.7), Envato Market (2.0.3), Essential Grid (2.3.3), Forum_wordpress_fr (4.2), MailChimp Forms by MailMunch (3.1.4), MC4WP: Mailchimp for WordPress (4.7.6), Query Monitor (3.5.2), Really Simple SSL (3.3.1), reSmush.it Image Optimizer (0.3.2), Site Kit by Google (1.7.0), Slider Revolution (6.2.2), ThemeREX Addons (1.6.39), UpdraftPlus – Backup/Restore (1.16.23), WooCommerce (4.0.1), Wordfence Security (7.4.6), WordPress Importer (0.7), WPBakery Page Builder (6.1), Yoast SEO (13.5)
    – Adresse du site : https://www.rubyonpink.com
    – Nom de l’hébergeur : Apache

     

    Problème(s) rencontré(s) :

    Depuis que j’ai fait la dernière mise à jour de WP + une mise à jour de la base de données (toujours via WordPress) je rencontre ce problème lorsque je souhaite ajouter un nouvel article ou une nouvelle page, j’ai une page blanche.

    J’ai désinstallé toutes mes extensions, et en effet, lorsque themeREX addons est activé j’ai cette erreur. Sauf que ce pluggin me permet d’afficher tout le contenu et la structure de mon blog. Je mets en pièce jointe une capture de mon site avec ce pluggin désactivé et activé.

    Pour voir les erreurs j’ai activé Query Monitor qui me renvoie cette erreur PHP lorsque je veux ajouter un article :
    <table class= »qm-sortable »>
    <tbody>
    <tr class= »qm-warn qm-odd » data-qm-component= »Plugin: js_composer non-core » data-qm-type= »Warning »>
    <td class= »qm-nowrap » scope= »row »>Warning</td>
    <td class= »qm-ltr »>Invalid argument supplied for foreach()</td>
    </tr>
    </tbody>
    </table>
    avec la ligne de code concernée. En tapant cette erreur dans Google, j’ai trouvé ça : « L’erreur s’est produite car la fonction getList () a renvoyé une valeur booléenne au lieu d’un tableau. La commande foreach () ne peut qu’itérer sur des tableaux ou des objets. »

    Dans mon cas, ce serait plutôt getTemplate que getList. Pour autant, est-ce que vous auriez une idée de comment je pourrais corriger cette erreur ?

    Merci beaucoup
    <h1 id= »qtitle » class= »best »></h1>

    Fichiers joints :
    Vous devez être connecté pour voir les fichiers joints.
    #2338689
    PhiLyon
    Modérateur
    Maître WordPress
    28278 contributions

    Bonjour.

    Ton thème et tes extensions sont à jour ?

    Sinon j’ai trouvé ça https://themerex.net/wp/themerex-addons-vulnerability-fixed/

    🙂

    #2338885
    Millia75
    Participant
    Initié WordPress
    29 contributions

    Bonjour,

    Merci pour ta réponse. Oui le thème et les extensions sont à jour. Je vais regarder ça !!!

    #2339130
    Millia75
    Participant
    Initié WordPress
    29 contributions

    Si mon expérience peut aider.

    Sachant que le problème est apparu après la mise à jour vers la dernière version de WP et de l’upgrade automatique de la base de données, j’ai récupéré un backup de fin mars (donc avant la mise à jour majeure), j’ai restauré la base de donnée uniquement. Ensuite en revenant sur l’admin, WordPress a affiché automatiquement une demande d’upgrade de la base de données que j’ai faite (de toute façon je n’ai pas eu d’autre choix) et tout est revenu dans l’ordre. J’espère que c’est ça et que ça ne va pas buguer à nouveau.

     

4 sujets de 1 à 4 (sur un total de 4)
  • Vous devez être connecté pour répondre à ce sujet.